- Aldebaran documentation |
- C++ Libraries |
- index

libqicore-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::FileOperation::Task Struct Referenceabstract

`#include <fileoperation.hxx>`

## Public Member Functions
| Task (FilePtr file)
virtual | ~Task ()=default
qi::Future< void > | run ()
void | finish ()
void | fail (const std::string &errorMessage)
void | cancel ()
void | notifyProgressed (double newProgress)
virtual void | start ()=0

## Public Attributes
qi::Atomic< bool > | isLaunched { false }
const FilePtr | sourceFile
const std::streamsize | fileSize
Promise< void > | promise
const ProgressNotifierPtr | localNotifier
const ProgressNotifierPtr | remoteNotifier
const bool | isRemoteDeprecated

## Detailed Description

Definition at line 126 of file fileoperation.hxx.

## Constructor & Destructor Documentation

qi::FileOperation::Task::Task | ( | FilePtr | file | ) |
| inline

Definition at line 129 of file fileoperation.hxx.

virtual qi::FileOperation::Task::~Task | ( |  | ) |
| virtual default

## Member Function Documentation

void qi::FileOperation::Task::cancel | ( |  | ) |
| inline

Definition at line 165 of file fileoperation.hxx.

void qi::FileOperation::Task::fail | ( | const std::string & | errorMessage | ) |
| inline

Definition at line 158 of file fileoperation.hxx.

void qi::FileOperation::Task::finish | ( |  | ) |
| inline

Definition at line 151 of file fileoperation.hxx.

void qi::FileOperation::Task::notifyProgressed | ( | double | newProgress | ) |
| inline

Definition at line 172 of file fileoperation.hxx.

qi::Future<void> qi::FileOperation::Task::run | ( |  | ) |
| inline

Definition at line 141 of file fileoperation.hxx.

virtual void qi::FileOperation::Task::start | ( |  | ) |
| pure virtual

## Member Data Documentation

const std::streamsize qi::FileOperation::Task::fileSize

Definition at line 182 of file fileoperation.hxx.

qi::Atomic<bool> qi::FileOperation::Task::isLaunched { false }

Definition at line 180 of file fileoperation.hxx.

const bool qi::FileOperation::Task::isRemoteDeprecated

Definition at line 186 of file fileoperation.hxx.

const ProgressNotifierPtr qi::FileOperation::Task::localNotifier

Definition at line 184 of file fileoperation.hxx.

Promise<void> qi::FileOperation::Task::promise

Definition at line 183 of file fileoperation.hxx.

const ProgressNotifierPtr qi::FileOperation::Task::remoteNotifier

Definition at line 185 of file fileoperation.hxx.

const FilePtr qi::FileOperation::Task::sourceFile

Definition at line 181 of file fileoperation.hxx.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqicore/libqicore/qicore/detail/fileoperation.hxx